Package it.ernytech.tdlib

## Class TdApi.GetChatEventLog

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetChatEventLog

Enclosing class:
  TdApi

    public static class TdApi.GetChatEventLog
    extends TdApi.Function

Returns a list of service actions taken by chat members and administrators in the last 48 hours. Available only in supergroups and channels. Requires administrator rights. Returns results in reverse chronological order (i. e., in order of decreasing eventId).

Returns `ChatEvents`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatEventLogFilters` `filters` The types of events to return.
`long` `fromEventId` Identifier of an event from which to return results.
`int` `limit` Maximum number of events to return; up to 100.
`java.lang.String` `query` Search query by which to filter events.
`int[]` `userIds` User identifiers by which to filter events.

### Constructor Summary

Constructors
`GetChatEventLog()` Default constructor.
`GetChatEventLog​(long chatId, java.lang.String query, long fromEventId, int limit, TdApi.ChatEventLogFilters filters, int[] userIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### query

    public java.lang.String query

Search query by which to filter events.

#### fromEventId

    public long fromEventId

Identifier of an event from which to return results. Use 0 to get results from the latest events.

#### limit

    public int limit

Maximum number of events to return; up to 100.

#### filters

    public TdApi.ChatEventLogFilters filters

The types of events to return. By default, all types will be returned.

#### userIds

    public int[] userIds

User identifiers by which to filter events. By default, events relating to all users will be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetChatEventLog

    public GetChatEventLog()

Default constructor.

#### GetChatEventLog

    public GetChatEventLog​(long chatId,
                           java.lang.String query,
                           long fromEventId,
                           int limit,
                           TdApi.ChatEventLogFilters filters,
                           int[] userIds)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `query` - Search query by which to filter events.
  `fromEventId` - Identifier of an event from which to return results. Use 0 to get results from the latest events.
  `limit` - Maximum number of events to return; up to 100.
  `filters` - The types of events to return. By default, all types will be returned.
  `userIds` - User identifiers by which to filter events. By default, events relating to all users will be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR